using System;
using System.Collections.Generic;
using System.Text;
using System.Configuration;

namespace Howest.SchemaDiscovery.Configuration
{
	public class DbSchemaProviderElementCollection : SchemaDiscoveryEnhancedConfigurationElementCollection<DbSchemaProviderElement>
	{
		public DbSchemaProviderElementCollection() : base("provider")
		{

		}

		protected override object GetElementKey(ConfigurationElement element)
		{
			if (element == null)
				throw new ArgumentNullException("element");
			DbSchemaProviderElement typedElement = (DbSchemaProviderElement)element;
			return typedElement.Name;
		}
	}
}
